Get a registration attachment
GET
/v1/compliance/attachments/{attachment_id}const file = await bird.complianceAttachments.get("tca_01krdgeqcxet5s7t44vh8rt9mg");
console.log(file.filename, file.contentType, file.data.length);file = client.compliance_attachments.get("tca_01krdgeqcxet5s7t44vh8rt9mg")
print(file.filename, file.content_type, len(file.data))file, err := client.ComplianceAttachments.Get(context.Background(), "tca_01krdgeqcxet5s7t44vh8rt9mg")
if err != nil {
log.Fatal(err)
}
if err := os.WriteFile(file.Filename, file.Data, 0o644); err != nil {
log.Fatal(err)
}
fmt.Println(file.ContentType, len(file.Data))$file = $bird->complianceAttachments->get('tca_01krdgeqcxet5s7t44vh8rt9mg');
if (file_put_contents($file->filename ?? 'attachment', $file->data) !== \strlen($file->data)) {
throw new \RuntimeException('Cannot save the attachment');
}
echo $file->contentType, ' ', \strlen($file->data), "\n";bird compliance attachments get <attachment-id>curl -X GET "https://us1.platform.bird.com/v1/compliance/attachments/{attachment_id}" \
-H "Authorization: Bearer $TOKEN"Downloads the raw bytes of a registration attachment, returned with its own content type and a Content-Disposition header carrying its filename.
Parâmetros
attachment_idstringAttachment ID.
Recursos relacionados
Continue com a documentação, guias e exemplos sobre este tópico.